Jump to content

The ultimate community for Ruby on Rails developers.


Photo

Weird rails error "permission denied: bin/rails" for old rails apps

rails install

  • Please log in to reply
No replies to this topic

#1 arrc

arrc

    Passenger

  • Members
  • 1 posts

Posted 25 April 2014 - 08:23 AM

I'm getting this error whenever I run rails (or any rails command)

_rails_command:2: permission denied: bin/rails

ONLY when i'm inside some old rails app directory.

In these directories bundle exec rails c command works but rails or even rails -v don't work.

 

Background:
I keep my coding workspace in dropbox folder.
Now I recently installed Manjaro and hence all the rails apps which I downloaded back from my previous OS I call them old rails app.

 

In Short:
Rails works fine everywhere except for old rails apps.
bundle exec rails c works fine though.

Ruby versions which I've tried:

2.0.0 (rvm), 2.1.1(rvm), 2.1.1 (system)

Gem Environment :

RubyGems Environment:
  - RUBYGEMS VERSION: 2.2.2
  - RUBY VERSION: 2.0.0 (2014-02-24 patchlevel 451) [x86_64-linux]
  - INSTALLATION DIRECTORY: /home/tat/.rvm/gems/ruby-2.0.0-p451@latest
  - RUBY EXECUTABLE: /home/tat/.rvm/rubies/ruby-2.0.0-p451/bin/ruby
  - EXECUTABLE DIRECTORY: /home/tat/.rvm/gems/ruby-2.0.0-p451@latest/bin
  - SPEC CACHE DIRECTORY: /home/tat/.gem/specs
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86_64-linux
  - GEM PATHS:
     - /home/tat/.rvm/gems/ruby-2.0.0-p451@latest
     - /home/tat/.rvm/gems/ruby-2.0.0-p451@global
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - https://rubygems.org/
  - SHELL PATH:
     - /home/tat/.rvm/gems/ruby-2.0.0-p451@latest/bin
     - /home/tat/.rvm/gems/ruby-2.0.0-p451@global/bin
     - /home/tat/.rvm/rubies/ruby-2.0.0-p451/bin
     - /home/tat/bin
     - /usr/local/bin
     - /usr/local/sbin
     - /usr/local/bin
     - /usr/bin
     - /usr/bin/core_perl
     - /home/tat/.rvm/bin







Also tagged with one or more of these keywords: rails, install

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users